Package com.independentsoft.graph.sites

# Class ListItem

java.lang.Object
com.independentsoft.graph.sites.ListItem

All Implemented Interfaces:
  `ICreatable`, `IUpdatable`

public class ListItem extends Object implements ICreatable, IUpdatable
Represents an item in a SharePoint list in Microsoft Graph.

A ListItem is a single entry in a `List`. Its field values are defined by the columns of the parent list and are exposed through the item's fields. Each item also carries metadata such as who created and last modified it.

Since:
  1.0
See Also:
  listItem resource type, `List`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListItem()`
  `ListItem​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdentitySet`
  `getCreatedBy()`
  `Date`
  `getCreatedTime()`
  `String`
  `getDescription()`
  `String`
  `getETag()`
  `List<ListItemField>`
  `getFields()`
  `String`
  `getId()`
  `IdentitySet`
  `getLastModifiedBy()`
  `Date`
  `getLastModifiedTime()`
  `String`
  `getName()`
  `ItemReference`
  `getParentReference()`
  `SharePointIds`
  `getSharePointIds()`
  `String`
  `getWebUrl()`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.
  `String`
  `toString()`
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ListItem

    public ListItem()

  - ### ListItem

    public ListItem​(JsonObject jsonObject)

- ## Method Details

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Returns:
      JSON string representation for creating this resource

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getId

    public String getId()

  - ### getName

    public String getName()

  - ### getCreatedBy

    public IdentitySet getCreatedBy()

  - ### getCreatedTime

    public Date getCreatedTime()

  - ### getDescription

    public String getDescription()

  - ### getETag

    public String getETag()

  - ### getLastModifiedBy

    public IdentitySet getLastModifiedBy()

  - ### getLastModifiedTime

    public Date getLastModifiedTime()

  - ### getParentReference

    public ItemReference getParentReference()

  - ### getSharePointIds

    public SharePointIds getSharePointIds()

  - ### getWebUrl

    public String getWebUrl()

  - ### getFields

    public List<ListItemField> getFields()